Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Payload_Type_Policy Class Reference

`#include <Policy.h>`

Inheritance diagram for TAO_AV_Payload_Type_Policy:

[legend]
Collaboration diagram for TAO_AV_Payload_Type_Policy:

[legend]
List of all members.

## Public Methods
| TAO_AV_Payload_Type_Policy (int payload_type=-1)
int | value (void)
void | value (int pt)
## Protected Attributes
int | payload_type_

## Constructor & Destructor Documentation

TAO_AV_Payload_Type_Policy::TAO_AV_Payload_Type_Policy | ( | int | payload_type = -1 | ) |

## Member Function Documentation

ACE_INLINE void TAO_AV_Payload_Type_Policy::value | ( | int | pt | ) |

ACE_INLINE int TAO_AV_Payload_Type_Policy::value | ( | void |  | ) |

## Member Data Documentation

int TAO_AV_Payload_Type_Policy::payload_type_`[protected]`

The documentation for this class was generated from the following files:

- Policy.h
- Policy.cpp
- Policy.i